import { http } from '@/utils/http/axios';

/**
 * 本地文件上传
 * @param data 参数
 * @returns 返回结果
 */
export function upload(data) {
  return http.request({
    url: '/upload/uploadFile',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'multipart/form-data',
    },
  });
}

/**
 * 获取OSS账号
 * @param params 参数
 * @returns 返回结果
 */
export function getOssConfig(params?) {
  return http.request({
    url: '/config/item/getItemList/config_oss',
    method: 'GET',
    params,
  });
}
